PETSc version 3.15.5
Fix/Edit manual page

# PetscViewerBinaryGetMPIIOOffset

Gets the current global offset that should be passed to MPI_File_set_view() or MPI_File_{write|read}_at[_all]()

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerBinaryGetMPIIOOffset(PetscViewer viewer,MPI_Offset *off)

Not Collective

### Input Parameter

| viewer | - PetscViewer context, obtained from PetscViewerBinaryOpen()

### Output Parameter

| off | - the current global offset

### Fortran Note

This routine is not supported in Fortran.

Use PetscViewerBinaryAddMPIIOOffset() to increase this value after you have written a view.

### See Also

PetscViewerBinaryOpen(), PetscViewerBinaryGetInfoPointer(), PetscViewerBinaryGetUseMPIIO(), PetscViewerBinarySetUseMPIIO(), PetscViewerBinaryAddMPIIOOffset()

### Level

advanced

### Location

src/sys/classes/viewer/impls/binary/binv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages